package hu.unr.fiber.cardapi.interfaces;

public class CardInvalidUpdateException extends Exception {
    public static final int CARD_ID_CHANGE = 0;
    public static final int CARD_NUMBER_ALREADY_ASSIGNED = 1;

    protected int code;
    public CardInvalidUpdateException(String message, int code) {
        super(message);
        this.code = code;
    }

    public int getCode() {
        return code;
    }
}
